<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <title>HTML Basics</title>
  <link rel="stylesheet" href="style.css">
</head>

<body>
  <div id="wrapper">
    <div id="main">
      <div id="container">
        <div id="content" role="main">
          
          <header id="header">

            <img src="logo.png" id="logo" alt="logo">

          <h1><strong>HTML Elements</strong></h1>

          <hr>

          <nav>
            <a href="#home"><strong>Home </strong></a>
            <a href="#headers"><strong>Headers </strong></a>
            <a href="#article"><strong>Article </strong></a>
            <a href="#table"><strong>Table </strong></a>
            <a href="#list"><strong>List </strong></a>
            <a href="#textFormats"><strong>Text formats</strong></a>
            <a href="#blockquotes"><strong>Blockquotes</strong></a>
            <a href="#form"><strong>Form</strong></a>
          </nav>

          <hr>

          </header>

        <main>

          <div id="headers">         
            <h2>Header 2</h2>
            <h3>Header 3</h3>
            <h4>Header 4</h4>
            <h5>Header 5</h5>
            <h6>Header 6</h6>
            
            <p>Pay attention to h1 tag inside section element. Font-size for h1 is the same as font-size for h2, because we have to use only one h1 on the page, and it is commonly used inside header</p>
            </div>
  
            <hr>
            
            <div id="article">
            <article>
                <h2>Article</h2>
                <img src="thumbnail.png" id="img" alt="img">
                <p><abbr title="HyperText Markup Language">HTML</abbr> and <abbr title="Cascading Style Sheets">CSS</abbr> are our tools. Mauris a ante. Suspendisse quam sem, consequat at, commodo vitae, feugiat in, nunc. Morbi imperdiet augue quis tellus. Praesent mattis, massa quis luctus fermentum, turpis mi volutpat justo, eu volutpat enim diam eget metus. To copy a file type <kbd>COPY</kbd> <i>filename</i>. <s>Dinner`s at 5:00.</s> <ins>Let’s make that 7.</ins> This <s>text</s> has been struck.</p>
                <p>Lorem ipsum dolor sit amet, <a href="">test link</a> adipiscing elit. <strong>This is strong.</strong> Nullam dignissim convallis est. Quisque aliquam. <em>This is emphasized.</em> Donec faucibus. Nunc iaculis suscipit dui. 5<sup>3</sup> = 125. Water is H<sub>2</sub>O. Nam sit amet sem. Aliquam libero nisi, imperdiet at, tincidunt nec, gravida vehicula, nisl. <cite>New York Times</cite> (That’s a citation).<u>Underline.</u> Maecenas ornare tortor. Donec sed tellus eget sapien fringilla nonummy. Mauris a ante. Suspendisse quam sem, consequat at, commodo vitae, feugiat in, nunc. Morbi imperdiet augue quis tellus.</p>
            </article>
            </div>
  
            <hr>
            
            <div id="table">
            <h2>Table</h2>
            <table>
              <colgroup>
                <col style="background-color:#f7f7f7">
                <col>
                <col>
                <col>
              </colgroup>
              <thead>
                <tr>
                  <th>№</th>
                  <th>Header</th>
                  <th>Header</th>
                  <th>Header</th>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <td>1</td>
                  <td>Division 1</td>
                  <td>Division 2</td>
                  <td>Division 3</td>
                </tr>
                <tr>
                  <td>2</td>
                  <td>Division 1</td>
                  <td>Division 2</td>
                  <td>Division 3</td>
                </tr>
                <tr>
                  <td>3</td>
                  <td>Division 1</td>
                  <td>Division 2</td>
                  <td>Division 3</td>
                </tr>
                <tr>
                  <td>4</td>
                  <td>Division 1</td>
                  <td>Division 2</td>
                  <td>Division 3</td>
                </tr>
              </tbody>
            </table>
            </div>
  
            <hr>
            
            <div id="list">
            <h2>List</h2>
            <div>
              <h2>Unordered List</h2>
              <ul>
                <li>List item 1</li>
                <li>List item 2
                <ul>
                  <li>Some nested list item 1</li>
                </ul>
                </li>
                <li>List item 3</li>
              </ul>
            </div>
            <div>
              <h2>Ordered List</h2>
              <ol>
                <li>List item 1</li>
                <li>List item 2
                <ol>
                  <li>Some nested list item 1</li>
                </ol>
                </li>
                <li>List item 3</li>
              </ol>
            </div>
            <div>
              <h3>Definition List</h3>
              <dl>
                <dt>defines terms 1</dt>
                <dd>description 1</dd>
                <dt>defines terms 2</dt>
                <dd>description</dd>
              </dl>
              <p>Details 
                <select name="select">
                  <option value="HTML" selected>HTML</option>
                  <option value="CSS">CSS</option>
                  <option value="JS">JS</option>
                </select>
              </p>
            </div>
            </div>
  
            <hr>
  
            <div id="textFormats">
            <h2>Text formats</h2>
  
              <h3>Article Text</h3>
              <article>
                <h2>Article title</h2>
                <p>Article description</p>     
              </article>
  
            <h3>Preformatted Text</h3>
            <pre>
  <b>Text</b>
    in a <b>pre</b> element
      is displayed in a fixed-width
  font, and it preserves
  both           spaces and
      line breaks
            </pre>
  
            <h3>Code</h3>
            <pre>
            <code>
  .wrapper {
    display: flex;
    vertical-align: middle;
    justify-content: center;
  }
            </code>
            </pre>
            </div>
  
            <hr>
  
            <div id="blockquotes">
              <h2>Blockquotes</h2>
              <p>Let’s keep it simple. Italics are good to help set it off from the body text. Be sure to style the citation.</p>
              <blockquote cite="https://en.wikipedia.org/wiki/Elon_Musk">
                "If you go back a few hundred years, what we take for granted today would seem like magic-being able to talk to people over long distances, to transmit images, flying, accessing vast amounts of data like an oracle. These are all things that would have been considered magic a few hundred years ago."
              <p><a href="https://en.wikipedia.org/wiki/Elon_Musk">Elon Musk</a></p>
              </blockquote>
            </div>
  
            <hr>
  
            <div id="form">
              <h2>Form</h2>
              <p>Element represents a document section containing interactive controls for submitting information.</p>
              <form action="#">
                <fieldset>
                <label for="firstName">First name:</label>
                <input type="text" id="firstName">
                </fieldset>
                <fieldset>
                <label for="surname">Surname:</label>
                <input type="text" id="surname">
                </fieldset>
                <fieldset>
                  <label for="email">Email:</label>
                  <input type="email" id="email">
                  </fieldset>
                <fieldset>
                <label for="male">Male:</label>
                <input type="radio" id="male" name="sex" value="Male">
                </fieldset>
                <fieldset>
                <label for="female">Female:</label>
                <input type="radio" id="female" name="sex" value="Female">
                </fieldset>
                <fieldset>
                <textarea cols="30" rows="10"></textarea>
                </fieldset>
                <button name="Submit" type="Submit">Submit</button>
              </form>
            </div>

        </main>
        
          <footer>
            <p>&#169; Copyright Epam Systems</p>
          </footer>
        </div>
      </div>
    </div>
  </div>
</body>

</html>